> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-java/classes-usadas/response/docresponse.md).

# DocResponse

Classe herdada de [Doc](/facilitadores/sdks/sdk-em-java/classes-usadas/body/doc.md).

### Propriedades:

<table><thead><tr><th width="192">nome</th><th width="275.3333333333333" align="center">tipo</th><th>descrição</th></tr></thead><tbody><tr><td>open_id</td><td align="center">int</td><td></td></tr><tr><td>token</td><td align="center">String</td><td>token do documento</td></tr><tr><td>status</td><td align="center">String</td><td>status do documento: "em-curso", "assinado", "recusado" ou "lixeira"</td></tr><tr><td>original_file</td><td align="center">String</td><td>url do arquivo original salvo na amazon</td></tr><tr><td>signed_file</td><td align="center">String</td><td>url do arquivo assinado salvo na amazon</td></tr><tr><td>created_through</td><td align="center">String</td><td>Como o documento foi criado: "web" ou "api"</td></tr><tr><td>extra_docs</td><td align="center">ArrayList&#x3C;<a href="/pages/PeRuS60NxLxFgpsJgRtm">ExtraDocResponse</a>></td><td>Lista de documentos extras do documento</td></tr><tr><td>deleted</td><td align="center">boolean</td><td>Se True, o documento foi deletado</td></tr><tr><td>deleted_at</td><td align="center">String</td><td>data que o documento foi deletado</td></tr><tr><td>created_at</td><td align="center">String</td><td>data que o documento foi criado</td></tr><tr><td>last_update_at</td><td align="center">String</td><td>ultima data que o documento foi atualizado</td></tr><tr><td>template</td><td align="center"><a href="/pages/8Tip4VKG1rXzoC0jbARV">Template</a></td><td>se o documento foi criado por um modelo, contem o token do modelo</td></tr><tr><td>answers</td><td align="center">ArrayList&#x3C;<a href="/pages/x8SzCCiQyd4D8GNLBpXH">Answers</a>></td><td>lista de variáveis e valores para a criação desse documento</td></tr><tr><td>auto_reminder</td><td align="center">int</td><td>numero de vezes que esse documento vai mandar email para os signatários</td></tr><tr><td>signers</td><td align="center">List&#x3C;<a href="/pages/LNA023m1MfF7Iv92JTZd">Signer</a>></td><td>representa a lista de signatário salvos no documento</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-java/classes-usadas/response/docresponse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
